## dotconf 1.0.9

=== examples/context/Makefile ===
TARGET=context
OBJS=context.o

#######################
CFLAGS=-Wall -O2
LDFLAGS=
LIBS=`dotconf-config --libs --pool`
CC=gcc

%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $<

all: $(TARGET)

$(TARGET): $(OBJS)
	$(CC) -o $@ $< $(LDFLAGS) $(LIBS)

clean:
	rm -f $(OBJS) $(TARGET)

=== examples/duplicates/Makefile ===
CFLAGS=-Wall -O2 -g
LDFLAGS=
LIBS=-ldotconf -lpool -ldl
CC=gcc

%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $<

all: duplicate first_module.so second_module.so

duplicate: duplicate.o
	$(CC) -o $@ $< $(LDFLAGS) $(LIBS)

first_module.so: first_module.o
	$(CC) -o $@ $< -rdynamic -shared $(LIBS)
second_module.so: second_module.o
	$(CC) -o $@ $< -rdynamic -shared $(LIBS)

clean:
	rm -f *.so *.o duplicate

## dotconf 1.0.13

=== examples/duplicates/Makefile ===
--- 
+++ 
@@ -19,3 +19,4 @@
 clean:
 	rm -f *.so *.o duplicate
 
+

## dotconf 1.3

=== debian/changelog ===
dotconf (1.3-0ubuntu2) trusty; urgency=low

  * Use dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Dec 2013 16:11:59 +0100

dotconf (1.3-0ubuntu1) trusty; urgency=low

  [ Jason White ]
  * New upstream release. (Closes: #637652)
  * Add multi-arch support.
  * Create a package for debugging symbols.
  * Convert the character encoding of the copyright file to UTF8.
  * Add copyright notice (in required form) to copyright file
    and identify the current upstream source.
  * Update dependencies.
  * Remove dotconf-config(1) manual page as dotconf-config no longer
    exists.
  * Specify source format as 3.0 (quilt).
  * Update standards-version to 3.9.4.

  [ Luke Yelavich ]
  * Remove obsolete postinst script
  * Rename the dotconf library package to match the soname
  * Update to new copyright format
  * Added symbols file
  * debian/rules: Remove multi-arch variable definition, debhelper 9
    takes care of things already
  * 0001-fix-possible-buffer-overflow-in-get_path.patch:
    - Patch taken from upstream git to fix a possible buffer overflow
      in get_path
  * Remove the use of autoreconf, we do not currently change anything that
    requires autotools files regeneration
  * debian/rules: Add a get-orig-source rule, since upstream does not release
    tarballs with autotools files generated

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 28 Oct 2013 21:09:11 -0700

dotconf (1.0.13-3build2) raring; urgency=low

  * Rebuild to pick up new config.guess/config.sub for arm64.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 09 Feb 2013 00:03:26 +0000

dotconf (1.0.13-3build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 21:01:00 +0100

dotconf (1.0.13-3) unstable; urgency=low

  * Correctly make use of realloc, to prevent applications using dotconf from
    crashing randomly, Thanks to Eitan Isaacson <eitan@ascender.com> for the
    patch. (Closes: #546059)

 -- Shane Wegner <shane@debian.org>  Thu, 10 Sep 2009 22:46:00 -0700

dotconf (1.0.13-2) unstable; urgency=low

  * Upgrade included libtool to 1.5.22-4. (Closes: #306632)

 -- Shane Wegner <shane@debian.org>  Sat, 18 Nov 2006 22:54:03 -0800

dotconf (1.0.13-1) unstable; urgency=low

  * New upstream version, Closes: 262100

 -- Shane Wegner <shane@debian.org>  Thu, 29 Jul 2004 13:32:32 -0700

dotconf (1.0.12-2) unstable; urgency=low

  * Fix dotconf-config manpage conflict.

 -- Shane Wegner <shane@debian.org>  Thu, 10 Apr 2003 15:48:01 -0700

dotconf (1.0.12-1) unstable; urgency=low

  * New upstream version, Closes: 187317
  * Changed section of libdotconf-dev to libdevel.
  * DebHelper version 4.

 -- Shane Wegner <shane@debian.org>  Wed,  2 Apr 2003 13:12:42 -0800

dotconf (1.0.11-1) unstable; urgency=low

  * New upstream version, Closes: 162328

 -- Shane Wegner <shane@debian.org>  Mon, 25 Nov 2002 19:32:16 -0800

dotconf (1.0.9-1) unstable; urgency=low

  * New upstream version.
  * Move to DebHelper v3.

 -- Shane Wegner <shane@debian.org>  Mon, 11 Mar 2002 12:41:15 -0800

dotconf (1.0.6-1) unstable; urgency=low

  * New upstream version.

 -- Shane Wegner <shane@debian.org>  Sun, 16 Sep 2001 20:56:58 -0700

dotconf (1.0.5-1) unstable; urgency=low

  * New upstream version.

 -- Shane Wegner <shane@debian.org>  Sat, 18 Aug 2001 19:29:38 -0700

dotconf (1.0.4-2) unstable; urgency=low

  * Clean out example binaries present in upstream source,
    Closes: Bug#105295.

 -- Shane Wegner <shane@debian.org>  Sat, 14 Jul 2001 22:52:55 -0700

dotconf (1.0.4-1) unstable; urgency=low

  * New upstream version
  * Added autotools support

 -- Shane Wegner <shane@debian.org>  Thu, 12 Jul 2001 18:23:39 -0700

dotconf (1.0.2-2) unstable; urgency=low

  * Install updated config.sub and config.guess for building on PARISC,
    Closes: Bug#94805

 -- Shane Wegner <shane@debian.org>  Sat, 21 Apr 2001 23:16:20 -0700

dotconf (1.0.2-1) unstable; urgency=low

  * New upstream version

 -- Shane Wegner <shane@debian.org>  Sat, 24 Mar 2001 15:59:21 -0800

dotconf (1.0.0-1) unstable; urgency=low

  * New upstream version
  * First upload to Debian, Closes Bug#74042

 -- Shane Wegner <shane@debian.org>  Wed, 21 Mar 2001 12:36:21 -0800

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dotconf
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Shane Wegner <shane@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.4

Package: libdotconf-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: ${misc:Depends}, libdotconf0 (= ${binary:Version}), libc6-dev
Description: Configuration file parser library - development files
 dot.conf is a simple-to-use and powerful configuration-file parser
 library written in C. The configuration files created for dot.conf
 look very similar to those used by the Apache Webserver. Even
 Container-Directives known from httpd.conf can easily be used in the
 exact same manner as for Apache-Modules. It supports various types of
 arguments, dynamically loadable modules that create their own
 configuration options on-the-fly, a here-documents feature to pass
 very long ARG_STR data to your app, and on-the-fly inclusion of
 additional config files.
 .
 This package contains the development files necessary to build
 programs using the dotconf library.

Package: libdotconf0
Architecture: any
Multi-arch: same
Section: libs
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: multiarch-support
Description: Configuration file parser library - runtime files
 dot.conf is a simple-to-use and powerful configuration-file parser
 library written in C. The configuration files created for dot.conf
 look very similar to those used by the Apache Webserver. Even
 Container-Directives known from httpd.conf can easily be used in the
 exact same manner as for Apache-Modules. It supports various types of
 arguments, dynamically loadable modules that create their own
 configuration options on-the-fly, a here-documents feature to pass
 very long ARG_STR data to your app, and on-the-fly inclusion of
 additional config files.

Package: libdotconf0-dbg
Architecture: any
Multi-arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, libdotconf0 (= ${binary:Version})
Pre-Depends: multiarch-support
Description: Configuration file parser library - runtime files
 dot.conf is a simple-to-use and powerful configuration-file parser
 library written in C. The configuration files created for dot.conf
 look very similar to those used by the Apache Webserver. Even
 Container-Directives known from httpd.conf can easily be used in the
 exact same manner as for Apache-Modules. It supports various types of
 arguments, dynamically loadable modules that create their own
 configuration options on-the-fly, a here-documents feature to pass
 very long ARG_STR data to your app, and on-the-fly inclusion of
 additional config files.
 .
 This package contains the debugging symbols for libdotconf.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

version=$(shell dpkg-parsechangelog|sed -n -e 's/^Version: //p'|cut -d- -f1)

%:
	dh $@ --with autoreconf
override_dh_strip:
	dh_strip --dbg-package=libdotconf0-dbg

get-orig-source:
	cd $(CURDIR); \
	mkdir -p dotconf-git && cd dotconf-git; \
	git clone git://github.com/williamh/dotconf.git; \
	cd dotconf; \
	git checkout -b $(version) v$(version); \
	autoreconf -i && ./configure && make && make dist; \
	cp dotconf-$(version).tar.gz $(CURDIR)/dotconf_$(version).orig.tar.gz; \
	cd $(CURDIR) && rm -rf dotconf-git

## dotconf 1.4.1

=== debian/changelog ===
dotconf (1.4.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Take over manitainership
    Closes: #1094788
  * Add Homepage
  * d/rules: Its not a sample
  * No explicit -dbg package
  * Debhelper compat 9 -> 13
  * Standards-Version: 4.7.0 (routine-update)
  * Secure URI in copyright format (routine-update)
  * watch file standard 4 (routine-update)
  * Deal with dh_missing --fail-missing
  * Install documentation
  * Priotity: extra -> optional
  * Propagate hardening options

  [ Samuel Thibault ]
  * libdotconf-dev: multiarch:same
    Closes: #995107
  * Support for empty string options
    Closes: #913337

 -- Andreas Tille <tille@debian.org>  Sat, 22 Feb 2025 16:13:17 +0100

dotconf (1.3-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support (Closes:
    #870535).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 01 Jan 2018 20:32:35 +0100

dotconf (1.3-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable

 -- Paul Gevers <elbrus@debian.org>  Sun, 16 Mar 2014 19:55:34 +0100

dotconf (1.3-0.1) experimental; urgency=low

  [ Paul Gevers ]
  * NMU to provide new version with consent of Shane
  * Adjust Jason and Luke efforts below such that I feel confortable with
    uploading
    - New upstream uses pkg-config (Closes: #580831)
  * Add watch file
  * Don't install libdotconf.la (was a Release Goal for Wheezy)

  [ Jason White ]
  * New upstream release. (Closes: #637652)
  * Add multi-arch support.
  * Convert the character encoding of the copyright file to UTF8.
  * Add copyright notice (in required form) to copyright file
    and identify the current upstream source. (Thanks lintian)
  * Update dependencies
    - updated substvars
    - Build-Depend on dh-autoreconf
  * Remove dotconf-config(1) manual page as dotconf-config no longer
    exists.
  * Specify source format as 3.0 (quilt).
  * Update standards-version to 3.9.5 (changes included above)
  * Converted d/rules to short dh style to use dh-autoreconf

  [ Luke Yelavich ]
  * Remove obsolete postinst script (created automatically by dh_makeshlibs)
  * Rename the dotconf library package to match the soname
  * Added symbols file
  * 0001-fix-possible-buffer-overflow-in-get_path.patch:
    - Patch taken from upstream git to fix a possible buffer overflow
      in get_path

 -- Paul Gevers <elbrus@debian.org>  Wed, 01 Jan 2014 21:02:36 +0100

=== debian/control ===
Source: dotconf
Section: libs
Priority: optional
Maintainer: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/dotconf
Vcs-Git: https://salsa.debian.org/debian/dotconf.git
Homepage: https://github.com/williamh/dotconf

Package: libdotconf-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libdotconf0 (= ${binary:Version}), libc6-dev
Description: Configuration file parser library - development files
 dot.conf is a simple-to-use and powerful configuration-file parser
 library written in C. The configuration files created for dot.conf
 look very similar to those used by the Apache Webserver. Even
 Container-Directives known from httpd.conf can easily be used in the
 exact same manner as for Apache-Modules. It supports various types of
 arguments, dynamically loadable modules that create their own
 configuration options on-the-fly, a here-documents feature to pass
 very long ARG_STR data to your app, and on-the-fly inclusion of
 additional config files.
 .
 This package contains the development files necessary to build
 programs using the dotconf library.

Package: libdotconf0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Configuration file parser library - runtime files
 dot.conf is a simple-to-use and powerful configuration-file parser
 library written in C. The configuration files created for dot.conf
 look very similar to those used by the Apache Webserver. Even
 Container-Directives known from httpd.conf can easily be used in the
 exact same manner as for Apache-Modules. It supports various types of
 arguments, dynamically loadable modules that create their own
 configuration options on-the-fly, a here-documents feature to pass
 very long ARG_STR data to your app, and on-the-fly inclusion of
 additional config files.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dotconf-$1\.tar\.gz/ \
  https://github.com/williamh/dotconf/tags .*/v?(\d\S*)\.tar\.gz
